Subject: bug#3399: Crash in multi-TTY mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 28 May 2009 09:14:06 -0400

>   1. Older libX11 that doesn't care about XlibDisplayDfltRMDB at all.
>   2. Newer libX11, when the first XGetDefault call sets dpy->db to a
>      non-NULL value.
>   3. Newer libX11, when the first XGetDefault call sets dpy->db to NULL.

> Case 3 corresponds to the problematic scenario I mentioned in my
> previous mail and the other cases should work fine currently.  Undoing
> my recent change means that we don't destroy the database ourselves,
> and it leaks memory in Case 2 and 3.

What if (as asked) we don't just undo your change, but additionally
return to freeing the DB (so we'll get a crash in case 1)?  Will we then
also get a crash in case 2 or 3?

        Stefan